Module ij
Package ij.io

# Class ImportDialog

java.lang.Object
ij.io.ImportDialog

public class ImportDialog extends Object
This is a dialog box used to imports raw 8, 16, 24 and 32-bit images.

## Constructor Summary

Constructors
Constructor
Description
`ImportDialog()`
`ImportDialog(String fileName, String directory)`

## Method Summary

Modifier and Type
Method
Description
`FileInfo`
`getFileInfo()`
Displays the dialog and returns a FileInfo object that can be used to open the image.
`static FileInfo`
`getLastFileInfo()`
Returns the FileInfo object used to import the last raw image, or null if a raw image has not been imported.
`void`
`openImage()`
Displays the dialog and opens the specified image or images.
`static void`
`savePreferences(Properties prefs)`
Called once when ImageJ quits.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImportDialog

public ImportDialog(String fileName, String directory)

### ImportDialog

public ImportDialog()

## Method Details

### openImage

public void openImage()
Displays the dialog and opens the specified image or images. Does nothing if the dialog is canceled.

### getFileInfo

public FileInfo getFileInfo()
Displays the dialog and returns a FileInfo object that can be used to open the image. Returns null if the dialog is canceled. The fileName and directory fields are null if the no argument constructor was used.

### savePreferences

public static void savePreferences(Properties prefs)
Called once when ImageJ quits.

### getLastFileInfo

public static FileInfo getLastFileInfo()
Returns the FileInfo object used to import the last raw image, or null if a raw image has not been imported.